apiVersion: monitoring.coreos.com/v1
kind: Prometheus
metadata:
  annotations:
  labels:
    app: teleops-prometheus
    release: teleops-prometheus
  name: teleops-prometheus
  namespace: teleops-prometheus
spec:
  alerting:
    alertmanagers:
    - name: alertmanager-operated
      namespace: teleops-prometheus
      pathPrefix: /
      port: web
  additionalScrapeConfigs:
    name: additional-scrape-configs
    key: prometheus-additional.yaml
  baseImage: quay.io/prometheus/prometheus
  externalUrl: http://teleops-prometheus.zooxlabs.com/
  listenLocal: false
  logFormat: logfmt
  logLevel: info
  paused: false
  replicas: 3
  retention: 90d
  routePrefix: /
  ruleNamespaceSelector:
    matchLabels:
      teleops-prometheus.zooxlabs.com/rule: "true"
  ruleSelector:
    matchLabels:
      app: teleops-prometheus
      release: teleops-prometheus
  securityContext:
    fsGroup: 2000
    runAsNonRoot: true
    runAsUser: 1000
  serviceMonitorNamespaceSelector: {}
  serviceMonitorSelector:
    matchLabels:
      zoox.com/team: teleops
  thanos:
    baseImage: improbable/thanos
    version: v0.1.0
    peers: thanos-peers.monitoring.svc:10900
    s3:
      accessKey:
        key: aws_access_key_id
        name: thanos-aws-creds
      bucket: zoox-thanos
      endpoint: s3.us-west-2.amazonaws.com
      secretKey:
        key: aws_secret_access_key
        name: thanos-aws-creds
  version: v2.6.1
